Bug 122545 - Enhancement to make AudioVox 8900 cell phone be recognized as ACM modem over usb
Summary: Enhancement to make AudioVox 8900 cell phone be recognized as ACM modem over usb
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-05 17:26 UTC by Kevin DeKorte
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 20:24:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin DeKorte 2004-05-05 17:26:34 UTC
Description of problem:

AudioVox 8900 Cell Phone is not recognized as a modem

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2188.nptl

How reproducible:
100%

Steps to Reproduce:
1. Plug in phone
2. acm is started
3. acm fails to recognize phone
  
Actual results:
Phone not recognized as ACM modem

Expected results:
Phone should be recognized as ACM modem

Additional info:
Appling this patch corrects the problem or look at kernel 2.6
cdc-acm.c code and apply that patch.

diff drivers/usb/acm.c drivers/usb/acm.c.orig
524,524c524
<               if (cfacm->bNumInterfaces < 2 ||
---
>               if (cfacm->bNumInterfaces != 2 ||

Comment 1 David Lawrence 2004-09-29 20:24:13 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.